
import React, { useEffect, useState } from 'react'
import SearchInput from './SearchInput'
import StarDetails from './StarDetails'
import BottomPanel from './BottomPanel'

export default function MyContent() {

  const [searchFlag, setSearchFlag] = useState(false)

  const changeFlag = (value:boolean) =>{
    setSearchFlag(value)
  }

  return (
    <React.Fragment>
      {/* <svg className='absolute top-0 w-full h-auto' viewBox="1 1 998 40" xmlns="http://www.w3.org/2000/svg">
        <polygon points="0,0 0,40 137,40 150,22 850,22 863,40 1000,40 1000,0"
          fill='#000000ea' stroke='#0c67a1' strokeWidth='2'
        />
      </svg> */}
      <div className='w-screen h-screen overflow-hidden'>
        <BottomPanel flag={searchFlag} changeFlag={changeFlag}/>
        <StarDetails/>
      </div>      
    </React.Fragment>
  )
}